SDL_ControllerDeviceEvent Struct Reference

Controller device event structure (event.cdevice.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Sint32 | which

## Detailed Description

Controller device event structure (event.cdevice.*)

Definition at line 385 of file SDL_events.h.

## Field Documentation

Uint32 SDL_ControllerDeviceEvent::timestamp

Definition at line 388 of file SDL_events.h.

Uint32 SDL_ControllerDeviceEvent::type

SDL_CONTROLLERDEVICEADDED, SDL_CONTROLLERDEVICEREMOVED, or SDL_CONTROLLERDEVICEREMAPPED

Definition at line 387 of file SDL_events.h.

Sint32 SDL_ControllerDeviceEvent::which

The joystick device index for the ADDED event, instance id for the REMOVED or REMAPPED event

Definition at line 389 of file SDL_events.h.

Referenced by main(), SDL_GameControllerEventWatcher(), SDL_GameControllerInit(), and SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h